Show / Hide Table of Contents

# Struct AgentFreeCompanyProfile

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentFreeCompanyProfile

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### Crest

##### Declaration

    public CrestData Crest

##### Field Value

Type | Description
--- | ---
CrestData |

| Improve this Doc View Source

#### EstateName

##### Declaration

    public Utf8String EstateName

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### EstateZone

##### Declaration

    public ushort EstateZone

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### FoundationDate

##### Declaration

    public uint FoundationDate

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GrandCompany

##### Declaration

    public byte GrandCompany

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Master

##### Declaration

    public Utf8String Master

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### MemberCount

##### Declaration

    public short MemberCount

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### MembersOnline

##### Declaration

    public short MembersOnline

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Name

##### Declaration

    public Utf8String Name

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### PlotNumber

##### Declaration

    public ushort PlotNumber

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Profile

##### Declaration

    public AgentFreeCompanyProfile.FCProfile Profile

##### Field Value

Type | Description
--- | ---
AgentFreeCompanyProfile.FCProfile |

| Improve this Doc View Source

#### Rank

##### Declaration

    public byte Rank

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Reputation

##### Declaration

    public byte Reputation

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### RequestID

##### Declaration

    public long RequestID

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### Slogan

##### Declaration

    public Utf8String Slogan

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Tag

##### Declaration

    public Utf8String Tag

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Unk278

##### Declaration

    public byte Unk278

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk279

##### Declaration

    public byte Unk279

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk27A

##### Declaration

    public byte Unk27A

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk27B

##### Declaration

    public byte Unk27B

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UnkID2

##### Declaration

    public long UnkID2

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### UnkID3

##### Declaration

    public long UnkID3

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### UnkID4

##### Declaration

    public long UnkID4

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### WardNumber

##### Declaration

    public ushort WardNumber

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### World

##### Declaration

    public ushort World

##### Field Value

Type | Description
--- | ---
System.UInt16 |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentFreeCompanyProfile*Instance()

##### Returns

Type | Description
--- | ---
AgentFreeCompanyProfile* |